/**
 * The status of queries submitted for execution in the query manager.
 *
 * Note: Obviously we need to link this from the version in query_manager.
 */
export var MqlQueryStatus;
(function (MqlQueryStatus) {
    MqlQueryStatus["Pending"] = "PENDING";
    MqlQueryStatus["Running"] = "RUNNING";
    MqlQueryStatus["Successful"] = "SUCCESSFUL";
    MqlQueryStatus["Failed"] = "FAILED";
    MqlQueryStatus["UnhandledException"] = "UNHANDLED_EXCEPTION";
    MqlQueryStatus["Unknown"] = "UNKNOWN";
})(MqlQueryStatus || (MqlQueryStatus = {}));
/**
 * Determines the format of the JSON output for the DataFrame
 *
 * See https://pandas.pydata.org/pandas-docs/stable/reference/api/pandas.DataFrame.to_json.html
 */
export var PandasJsonOrient;
(function (PandasJsonOrient) {
    PandasJsonOrient["Split"] = "SPLIT";
    PandasJsonOrient["Records"] = "RECORDS";
    PandasJsonOrient["Index"] = "INDEX";
    PandasJsonOrient["Columns"] = "COLUMNS";
    PandasJsonOrient["Values"] = "VALUES";
    PandasJsonOrient["Table"] = "TABLE";
})(PandasJsonOrient || (PandasJsonOrient = {}));
/** Current possible values for constraints */
export var AtomicConstraintType;
(function (AtomicConstraintType) {
    AtomicConstraintType["Set"] = "SET";
    AtomicConstraintType["Range"] = "RANGE";
})(AtomicConstraintType || (AtomicConstraintType = {}));
/** An enumeration. */
export var CacheMode;
(function (CacheMode) {
    CacheMode["Read"] = "READ";
    CacheMode["Readwrite"] = "READWRITE";
    CacheMode["Write"] = "WRITE";
    CacheMode["Ignore"] = "IGNORE";
})(CacheMode || (CacheMode = {}));
