import { createClient, dedupExchange, fetchExchange } from "urql";
import buildAuthExchange from "./buildAuthExchange";
function cleanUrl(url) {
    if (url.endsWith("/graphql"))
        return url;
    if (url.endsWith("/"))
        return url + "graphql";
    return url + "/graphql";
}
export default function buildMqlUrqlClient(getToken, url) {
    return createClient({
        url: cleanUrl(url),
        exchanges: [dedupExchange, buildAuthExchange(getToken), fetchExchange],
    });
}
