import moment from "moment";
import { defaultColor, generatedColors } from "./colors";
export default function formatChartData(mqlQueryResult, limit) {
    if (!(mqlQueryResult === null || mqlQueryResult === void 0 ? void 0 : mqlQueryResult.result)) {
        throw new Error("Invalid result supplied to formatChartData");
    }
    return mqlQueryResult.result.map(function (d, idx) { return ({
        id: d.seriesValue === true
            ? "True"
            : d.seriesValue === false
                ? "False"
                : // TODO: Trap invalid values better
                    d.seriesValue || "Unknown",
        color: d.seriesValue === "ALL"
            ? defaultColor
            : generatedColors[idx % generatedColors.length],
        data: (d.data || [])
            .sort(function (a, b) { return (a.xDate < b.xDate ? -1 : 1); })
            .slice(limit ? -limit : undefined)
            .map(function (_a) {
            var _b;
            var xDate = _a.xDate, y = _a.y;
            if (xDate === "NaT") {
                throw new Error("Invalid Date on metrics: [" + ((_b = mqlQueryResult === null || mqlQueryResult === void 0 ? void 0 : mqlQueryResult.metrics) === null || _b === void 0 ? void 0 : _b.join(", ")) + "]");
            }
            return {
                x: moment(xDate).format("YYYY-MM-DD"),
                y: y,
            };
        }),
    }); });
}
